Bug 2001755 - Cannot install ntfs-3g on Fedora 34: ntfs-3g-libs is already installed
Summary: Cannot install ntfs-3g on Fedora 34: ntfs-3g-libs is already installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 34
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-07 06:33 UTC by Vojtech Trefny
Modified: 2021-09-24 20:18 UTC (History)
3 users (show)

Fixed In Version: ntfs-3g-2021.8.22-2.fc34 ntfs-3g-2021.8.22-2.el8 ntfs-3g-2021.8.22-2.el7 ntfs-3g-2021.8.22-2.fc33 ntfs-3g-2021.8.22-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-15 18:20:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2001713 1 unspecified CLOSED mount returns "unknown filesystem type 'ntfs'" even with ntfs-3g installed 2021-09-08 09:46:36 UTC

Description Vojtech Trefny 2021-09-07 06:33:56 UTC
Description of problem:

With the recent introduction of the ntfs-3g-libs subpackage, I can no longer install ntfs-3g, the libs subpackage is installed instead:

$ sudo dnf install ntfs-3g
Last metadata expiration check: 0:02:24 ago on Tue Sep  7 06:22:16 2021.
Package ntfs-3g-libs-2:2021.8.22-1.fc34.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!

I'm not sure if this is a packaging issue or dnf bug -- ntfs-3g-libs obsoletes ntfs-3g, but the "Obsoletes:    %{name} < 2:2021.8.22-1" in the spec looks like it should not obsolete ntfs-3g-2021.8.22-1.fc34.x86_64 so maybe dnf is to blame here?

$ rpm -q --whatobsoletes ntfs-3g
ntfs-3g-libs-2021.8.22-1.fc34.x86_64

I can install ntfs-3g by specifying the version with "dnf install ntfs-3g-2:2021.8.22-1.fc34.x86_64".

This happens both on my existing F34 machine and on a fresh vagrant box.

Version-Release number of selected component (if applicable):

$ rpm -qi ntfs-3g-libs
Name        : ntfs-3g-libs
Epoch       : 2
Version     : 2021.8.22
Release     : 1.fc34
Architecture: x86_64

Comment 1 Martin Pitt 2021-09-08 08:41:14 UTC
Unfortunately this new package was fast-paced through bodhi [1][2] and now hit stable, so bumping priority.

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0235d9d79
[2] https://bodhi.fedoraproject.org/updates/FEDORA-2021-38d1b07839

Comment 2 Fedora Update System 2021-09-08 16:46:31 UTC
FEDORA-2021-6e7da07b37 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6e7da07b37

Comment 3 Fedora Update System 2021-09-08 16:46:32 UTC
FEDORA-2021-5b1dac797b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5b1dac797b

Comment 4 Fedora Update System 2021-09-08 16:46:32 UTC
FEDORA-EPEL-2021-8634a5d3f8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8634a5d3f8

Comment 5 Fedora Update System 2021-09-08 16:46:33 UTC
FEDORA-EPEL-2021-bb15ff6d4d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bb15ff6d4d

Comment 6 Fedora Update System 2021-09-08 16:46:35 UTC
FEDORA-2021-e7c8ba6301 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e7c8ba6301

Comment 7 Fedora Update System 2021-09-08 18:47:20 UTC
FEDORA-2021-5b1dac797b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5b1dac797b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5b1dac797b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-09 17:38:40 UTC
FEDORA-2021-6e7da07b37 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6e7da07b37`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6e7da07b37

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-09 18:02:33 UTC
FEDORA-EPEL-2021-bb15ff6d4d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bb15ff6d4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-09 18:15:12 UTC
FEDORA-2021-e7c8ba6301 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e7c8ba6301`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e7c8ba6301

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-09 18:21:49 UTC
FEDORA-EPEL-2021-8634a5d3f8 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8634a5d3f8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-15 18:20:02 UTC
FEDORA-2021-6e7da07b37 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-16 18:19:23 UTC
FEDORA-EPEL-2021-bb15ff6d4d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-09-17 14:35:13 UTC
FEDORA-EPEL-2021-8634a5d3f8 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-09-23 19:28:51 UTC
FEDORA-2021-e7c8ba6301 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-09-24 20:18:48 UTC
FEDORA-2021-5b1dac797b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.